.TH dbm_close() "" "" "NDBM Function (libgdbm)"
.PC "Close an NDBM data base"
.B "#include <ndbm.h>"
\fBvoid dbm_close (\fIdatabase\^\fB)\fR
\fBDBM *\fIdatabase\^\fB;\fR
.PP
Function
.B dbm_close()
closes the NDBM data base to which
.I database 
points.
.I database
must first have been opened by a call to
.BR dbm_open() .
.SH "See Also"
.XR "dbm_open()," dbm_open
.XR "ndbm.h," ndbm.h
.XR "libgdbm" libgdbm
.R
.SH Notes
This function is a wrapper for function
.BR gdbm_close() .
It is included for compatibility with existing code.
.PP
If you have called
.B dbm_fetch()
to select data from
.IR database ,
you must use or copy the returned information before you call
.BR dbm_close() .
If you do not,
.B dbm_close()
may corrupt the data in the
.B datum
that
.B dbm_fetch()
has returned.
.PP
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
